require "scripts/style"

function swapToWorldMap( )
    SwapToModal("scripts/worldmap.lua");
end

MakeDialog
{
	-- Name the modal dialog
	name="gameIntro",
	Bitmap
	{
		image="backgrounds/blackbcg",
		x = kCenter,
		y = kCenter,
        
        introWindow{
			x = 0, y = 0, w=kMax, h=kMax,   

-- intro text
			Text
			{
				name = "introText",
                align=kHAlignLeft,
				font = StandardButtonFontFourWhite,
				x=kCenter,
                y=kCenter-60,
                w=900, h=100,
				flags = kHAlignCenter + kVAlignCenter,
				label = "introText00"
			};                

-- back button
            SetStyle(SmallFilledRoundButtonStyle),
            Button
            {
                x = kMax-90,
                y = kMax-55,
                name="introEnd",
                label="skip",
                --close=true,
                cancel=true,
                default=true,
                type = kPush,
                command=
                    function()
                        SendGameMessage("quit");
                    end	    
            },  
        }
    },
}


